## Discord Plex FR : https://discord.gg/ERpYMqS
## Version 2021-03-03
version: '3.3'
services:
    linuxserver:
        container_name: qbittorrent
        environment:
            - PUID=1000  # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
            - PGID=1000  # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
            - TZ=Europe/Paris
            - UMASK_SET=022
            - WEBUI_PORT=8181  # Web interface
        ports:
            - '6881:6881'
            - '6881:6881/udp'
            - '8181:8181'  # WebUI
        volumes:
            - '/volume1/docker/qbitorrent/config:/config'
            - '/volume1/docker/share:/share'  # Repertoire d'enregistrement
        restart: unless-stopped
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#        labels:
#            - com.centurylinklabs.watchtower.enable=true
        image: ghcr.io/linuxserver/qbittorrent
# Network conseillé de ne pas utiliser host (pas de redirection de port) ni default_bridge car limité a 16 ip
        network_mode: qbitorrent_network
